import { Component, inject } from '@angular/core';
import {
  MatDialog,
  MAT_DIALOG_DATA,
  MatDialogTitle,
  MatDialogContent,
  MatDialogActions,
  MatDialogRef,
} from '@angular/material/dialog';
import { MatButtonModule } from '@angular/material/button';

@Component({
  selector: 'app-visit-link-confirmation',
  imports: [MatDialogTitle, MatDialogContent, MatDialogActions, MatButtonModule],
  templateUrl: './visit-link-confirmation.component.html',
  styleUrl: './visit-link-confirmation.component.css'
})
export class VisitLinkConfirmationComponent {
  public link: string = inject(MAT_DIALOG_DATA);
  constructor(private dialogRef: MatDialogRef<VisitLinkConfirmationComponent>) {}

  close() {
    this.dialogRef.close(false);
  }

  accept() {
    this.dialogRef.close(true);
  }
}
